The new docs.trellix.com features a modernized UI and AI-powered conversational search. Content is currently available in English, with additional languages launching in early November 2026. We hope you enjoy the updated experience.

Get all Inspection Options Policy

Prev Next

This URL retrieves the all inspection options policies.

Resource URL

GET /protectionoptionspolicy

Request Parameters

N/A

Response Parameters

Following fields are returned if the request parameters are correct, otherwise error details are returned.

Field Name Description Data Type
policyId Policy id Number
policyName Policy name String
domainId Domain id Number
visibleToChild Visible to child Boolean
description Description String
lastUpdatedBy Last updated by String
lastUpdated Last updated date String

Example

Request

GET https://<NSM_IP>/sdkapi/protectionoptionspolicy

Response

{
"protectionOptionsPolicyList": [
  {
"policyId": 1,
"policyName": "Default Client and Server Inspection",
"domainId": 0,
"visibleToChild": true,
"description": "Inspect traffic both from internal endpoints and to exposed Web and mail servers",
"isEditable": false,
"lastUpdatedBy": "admin",
"lastUpdated": "2017-Jun-25 18:27",
"protectionOptions": null
},
  {
"policyId": 2,
"policyName": "Default Client Inspection",
"domainId": 0,
"visibleToChild": true,
"description": "Inspect traffic from internal endpoints as they access the Internet",
"isEditable": false,
"lastUpdatedBy": "admin",
"lastUpdated": "2017-Jun-25 18:27",
"protectionOptions": null
}
]
} 
 

Error Information

Following error code is returned by this URL:

No HTTP Error Code SDK API errorId SDK API errorMessage
1 400 4301 Invalid domain id